Summary:	Software verification platform
Name:		why3
Version:	0.83
Release:	3
Group:		Applications
License:	LGPLv2 with exceptions
Source0:	https://gforge.inria.fr/frs/download.php/33490/%{name}-%{version}.tar.gz
# Source0-md5:	35f99e5f64939e50ea57f641ba2073ec
URL:		http://why3.lri.fr/
BuildRequires:	camlp5
BuildRequires:	coq >= 8.4
BuildRequires:	evince
BuildRequires:	gtksourceview2-devel
BuildRequires:	ocaml
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-graph-devel
BuildRequires:	ocaml-lablgtk2-devel
BuildRequires:	ocaml-lablgtk2-gtksourceview2-devel
BuildRequires:	ocaml-sqlite-devel
BuildRequires:	ocaml-zarith-devel
BuildRequires:	rubber
BuildRequires:	sqlite3-devel
Requires:	gtksourceview2
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Why3 is the next generation of the Why software verification platform.
Why3 clearly separates the purely logical specification part from
generation of verification conditions for programs. It features a rich
library of proof task transformations that can be chained to produce a
suitable input for a large set of theorem provers, including SMT
solvers, TPTP provers, as well as interactive proof assistants.

%package examples
Summary:	Example problems for why3
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description examples
Example problems for why3.

%prep
%setup -q

%build
%configure \
	--enable-doc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Move the gtksourceview language file to the right place
install -d $RPM_BUILD_ROOT%{_datadir}/gtksourceview-2.0
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/lang $RPM_BUILD_ROOT%{_datadir}/gtksourceview-2.0/language-specs

cp -a examples/* $RPM_BUILD_ROOT/%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README doc/manual.pdf
%attr(755,root,root) %{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/gtksourceview-2.0/language-specs/why3.lang
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/coq
%{_libdir}/%{name}/coq-tactic
%{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/why3-call-pvs
%attr(755,root,root) %{_libdir}/%{name}/why3-cpulimit

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/why3.git;a=log;h=auto/th/why3-0.83-3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 1bf0371
- rebuild with ocaml 4.02
- release 3 (by relup.sh)

* Tue May 06 2014 Jan Rękorajski <baggins@pld-linux.org> 14e3667
- fixed scripts permissions
- rel 2

* Wed Apr 30 2014 Jan Rękorajski <baggins@pld-linux.org> b27c758
- updated to 0.83

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 59fd71f
- package examples
- rel 2

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 51f94c8
- drop (x)emacs BRs

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 6c13c31
- updated BRs

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 56491d8
- new

